# Tellonym.js

Hi , I am the first npm package for dealing with tellonym api

# Example
```javascript 
const Tellonym = require('tellonym-api');
const client = new Tellonym.login('tellonym token goes here')
await client.getQuestions(15) // 15 is the questions limit 
//returns
/*
{
    "type": 0,
    "id": 5807258326,
    "tell": "tip on how ",
    "createdAt": "2022-08-09T21:14:27.000Z",
    "isFromTellonym": false,
    "isFromCommunity": false,
    "isWelcomeTell": false,
    "isSeen": false,
    "senderStatus": 0,
    "senderHint": 0,
    "isInappropriate": false,
    "sender": {},
    "sortId": 1660079667000,
    "pointsKarma": 0
}
*/
await client.ask(282,`question`)//282 is user id 
await client.sendAnswer('yes i do',282) // 282 is question id
await client.getUser('username') //returns user object
client.token // returns tellonym token
```
## Author 
the authors for this package are [Ahmed](https://discord.com/channels/@me/users/772082329866862604) And [Wsam](https://discord.com/channels/@me/users/948550585743978537) 

### Contribution
if you are a developer , you can help us to improve our project on [github](https://github.com/wsam3/tellonym)